KCAPI_RNG_GET_BYTES(3)

NAME
kcapi_rng_get_bytes - Convenience function to generate random bytes

SYNOPSIS

int32_t kcapi_rng_get_bytes(uint8_t * buffer, uint32_t outlen);

ARGUMENTS

buffer
    [out] filled with the random number

outlen
    [in] buffer length

DESCRIPTION

This convenience function generates random bytes of the size of outlen and stores them into the provided buffer.

return size of random number generated upon success; -EIO - data cannot be obtained

AUTHOR

Stephan Mueller <smueller@chronox.de>
    Author.

COPYRIGHT